/* This file is part of Patchage.
 * Copyright 2007-2021 David Robillard <d@drobilla.net>
 *
 * Patchage is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * Patchage is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Patchage.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PATCHAGE_COORD_HPP
#define PATCHAGE_COORD_HPP

namespace patchage {

struct Coord {
  double x{0.0};
  double y{0.0};
};

inline bool
operator==(const Coord& lhs, const Coord& rhs)
{
  return lhs.x == rhs.x && lhs.y == rhs.y;
}

inline bool
operator!=(const Coord& lhs, const Coord& rhs)
{
  return !(lhs == rhs);
}

} // namespace patchage

#endif // PATCHAGE_COORD_HPP
